Du bist nicht angemeldet. Der Zugriff auf einige Boards wurde daher deaktiviert.

#1 24. Oktober 2018 16:48

ultimocb
probiert CMS/ms aus
Ort: Halle (Saale)
Registriert: 26. Juli 2011
Beiträge: 20

kompliziertes Upgrade

Ihr Lieben,
dunkle Wolken ziehen soeben bei mir auf.

Ich sitze vor einer CMSMS Installation der Version 1.9.4.2. Der Hoster hat heute die Unterstützung für ältere PHP-Versionen abgeschaltet, so dass das komplette System inklusive Website nicht mehr funktioniert. Die Websit hatte keine besonderen Module, außer denen, die eh von Haus aus mitgeliefert werden. Sie ist jedoch inhaltlich sehr umfangreich. Es sollte also kein Datenverlust entstehen.
Wie kann ich am besten vorgehen, um das System auf den aktuellen Stand zu bringen? Kann ich direkt auf die aktuelle Version updaten oder muss ich Zwischenversionen installieren?
Woher bekomme ich ggf die älteren Versionen?

LG Mirko

Offline

#2 03. November 2018 16:59

Klenkes
Server-Pate
Ort: 89428 Syrgenstein
Registriert: 17. Dezember 2010
Beiträge: 1.394

Re: kompliziertes Upgrade

Ältere Versionen bekommst du hier:
http://dev.cmsmadesimple.org/project/files/6

Meiner Erfahrung nach würde ich folgende Schritte machen:
auf 1.10.3
dann 1.12.1

Ab da weiß ich leider nicht ob du gleich auf die aktuellste 2er Version kannst, oder ob Zwischenschritte notwendig sind.
Wenn der PHAR Installer bei dir funktioniert sagt er es dir.

Zwischen allen Schritten würde ich geradezu manisch penibel Backups aller Dateien und der Datenbank machen, damit du auf einen funktionierenden Zwischenstand zurück kannst.

Fazit: Wenn du nur Core Module hast dürfte es eigentlich keine Probleme geben.

Offline